<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HotelList StructType
 * @subpackage Structs
 */
class HotelList extends AbstractStructBase
{
    /**
     * The HotelListRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelListRQ
     */
    public $HotelListRQ;
    /**
     * Constructor method for HotelList
     * @uses HotelList::setHotelListRQ()
     * @param \StructType\JP_HotelListRQ $hotelListRQ
     */
    public function __construct(\StructType\JP_HotelListRQ $hotelListRQ = null)
    {
        $this
            ->setHotelListRQ($hotelListRQ);
    }
    /**
     * Get HotelListRQ value
     * @return \StructType\JP_HotelListRQ|null
     */
    public function getHotelListRQ()
    {
        return $this->HotelListRQ;
    }
    /**
     * Set HotelListRQ value
     * @param \StructType\JP_HotelListRQ $hotelListRQ
     * @return \StructType\HotelList
     */
    public function setHotelListRQ(\StructType\JP_HotelListRQ $hotelListRQ = null)
    {
        $this->HotelListRQ = $hotelListRQ;
        return $this;
    }
}
